<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8"/>
		<title>Création des parcours</title>
		<link rel="shortcut icon" type="image/x-icon" href="../mmd/favicon.ico"/>
		<link rel="stylesheet" type="text/css" href="../style.css"/>
	</head>
	<body>
		<a href="index.php"><div class="back_arrow"></div></a>
		<style type="text/css">
		.back_arrow {
			background: url('../mmd/return.svg') no-repeat center;
			cursor: pointer;
			position: absolute;
			top: 50px;
			left: 50px;
			width: 50px;
			height: 50px;
			opacity: 1;
		}

		.back_arrow:hover {
			opacity: 0.5;
		}
		</style>

		<h1>Liste de points enregistrés</h1>

		<?php
			if(isset($_POST['construction'])) {
				// Creation de la liste
				$idPoints = array();

				$start = $_POST['start'];
				$end = $_POST['end'];

				array_push($idPoints, $start);

				// On recupere l'id des points selectionnes
				for($i=0 ; $i < sizeof($_POST['listePoints']) ; $i++){
					array_push($idPoints, $_POST['listePoints'][$i]);
				}

				array_push($idPoints, $end);

				$titre = $_POST['nom'];

				// Separation des valeurs donnees par une virgule
				$separateur = implode(",",$idPoints);
				echo '<h2>Le Parcours "'.$titre.'"</h2>';
				echo '<h2>composé des points: '.$separateur.'.</h2>';

				// connexion a la base
				$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
						
				// selection de la base  
				mysql_select_db('smartpassTest2',$db)  or die('Erreur de selection '.mysql_error()); 


				$result = mysql_query('SELECT MAX(id) FROM Parcours', $db);

				// récuperation de l'id max et ajout de 1 (aucune confusion si l'on supprime un id)
				while($ligne = mysql_fetch_array($result)) {
					$num_rows = $ligne[0]+1;
				}
	

				// requete pour enregistrer le parcours
				$sql = "INSERT INTO Parcours (id,Titre,idPoints) VALUES ('$num_rows','$titre','$separateur')";
				mysql_query($sql);

				// fermeture de la connexion a la base
				mysql_close();

				echo '<h2>a été ajouté à la base de données !</h2>';

			}
		?>

	</body>
</html>